package es.uv.saic.dto;

public class TemplateDataDTO {
    private InstanciaTascaDTO instanciaTasca;
    private Integer idTitulacio;
    private Integer idCentre;
    private Integer curs;
    private String template;

    public TemplateDataDTO() {
}
    
    public TemplateDataDTO(InstanciaTascaDTO instanciaTasca, String template) {
        this.instanciaTasca = instanciaTasca;
        this.template = template;
    }

    public TemplateDataDTO(Integer idTitulacio, Integer idCentre, Integer curs, String template) {
        this.idTitulacio = idTitulacio;
        this.idCentre = idCentre;
        this.curs = curs;
        this.template = template;
    }

    public InstanciaTascaDTO getInstanciaTasca() {
        return instanciaTasca;
    }

    public void setInstanciaTasca(InstanciaTascaDTO instanciaTasca) {
        this.instanciaTasca = instanciaTasca;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Integer getIdTitulacio() {
        return idTitulacio;
    }

    public void setIdTitulacio(Integer idTitulacio) {
        this.idTitulacio = idTitulacio;
    }

    public Integer getIdCentre() {
        return idCentre;
    }

    public void setIdCentre(Integer idCentre) {
        this.idCentre = idCentre;
    }

    public Integer getCurs() {
        return curs;
    }

    public void setCurs(Integer curs) {
        this.curs = curs;
    }

}
